Summary: NFS utlilities and supporting daemons for the kernel NFS server.
Name: nfs-utils
Version: 1.0.6
Release: 87.EL4

# group all 32bit related archs
%define all_32bit_archs i386 i686 athlon

Source0: http://prdownloads.sourceforge.net/nfs/nfs-utils-1.0.6.tar.gz

%define eventvers 0.9
Source1: http://monkey.org/~provos/libevent-%{eventvers}.tar.gz

Source10: nfs.init
Source11: nfslock.init
Source12: rpcidmapd.init
Source13: rpcgssd.init
Source14: rpcsvcgssd.init

#
# Upstream Patches
#
Patch1: nfs-utils-1-0-6.patch

#
# CITI NFS4 Patches (nfs-utils-1.0.6-23)
#
Patch10: nfs-utils-1.0.6-citi-23.patch

#
# Local Patches
#
# U1
#
Patch50: nfs-utils-1.0.5-statdpath.patch
Patch51: nfs-utils-1.0.6-zerostats.patch
Patch52: nfs-utils-1.0.6-mountd.patch
Patch53: nfs-utils-1.0.6-expwarn.patch
Patch54: nfs-utils-1.0.6-export-permisions.patch
Patch55: nfs-utils-1.0.6-sgi-statd-fixes.patch
Patch56: nfs-utils-1.0.6-fd-sig-cleanup.patch
Patch57: nfs-utils-1.0.6-idmap-syslog.patch
Patch58: nfs-utils-1.0.6-idmap.conf.patch
Patch59: nfs-utils-1.0.6-rquotad-overflow.patch
Patch60: nfs-utils-1.0.6-statd-notify-hostname.patch
#
# U2
#
Patch61: nfs-utils-1.0.6-idmap-event.patch
Patch62: nfs-utils-1.0.6-gssd-64bit.patch
Patch63: nfs-utils-1.0.6-exportfs-serial.patch
Patch64: nfs-utils-1.0.6-mountd-stat64.patch
Patch65: nfs-utils-1.0.6-reexport.patch
Patch66: nfs-utils-1.0.6-nfsd-ctlbits.patch
Patch67: nfs-utils-1.0.6-svcgssd-overflow.patch
#
# U3/U4
#
Patch68: nfs-utils-1.0.6-mountd-debug.patch
Patch69: nfs-utils-1.0.6-idmap-reopen.patch
Patch70: nfs-utils-1.0.6-gssd_mixed_case.patch
Patch71: nfs-utils-1.0.6-rpcinit-socket-fix.patch
Patch72: nfs-utils-1.0.6-privports.patch
#
# U5
#
Patch73: nfs-utils-1.0.6-citi-svcgssd-long-token.patch
Patch74: nfs-utils-1.0.6-statd-outport.patch
Patch75: nfs-utils-1.0.6-idmap-scandir-leak.patch
Patch76: nfs-utils-1.0.6-idmap-dirscancb-listloop.patch
Patch77: nfs-utils-1.0.6-svcgssd_nobody_name_mapping.patch
Patch78: nfs-utils-1.0.6-rmtab-ipaddr.patch
Patch79: nfs-utils-1.0.6-nfs4-stats.patch
Patch80: nfs-utils-1.0.6-svcgssd-mem-leaks.patch
Patch81: nfs-utils-1.0.6-gssd-64bit-bigendian.patch
Patch82: nfs-utils-1.0.6-idmapd-flush-cache.patch
Patch83: nfs-utils-1.0.6-idmapd-debugging.patch
Patch84: nfs-utils-1.0.6-gssapi-debug.patch
Patch85: nfs-utils-1.0.6-svcgssd-supgroups.patch
Patch86: nfs-utils-1.0.6-mountd-cache.patch
Patch87: nfs-utils-1.0.6-init-cred.patch
Patch88: nfs-utils-1.0.6-authgss-debug.patch
#
# U6
#
Patch89: nfs-utils-1.0.6-mountd-memleaks.patch
Patch90: nfs-utils-1.0.6-gssd-skip-portmap.patch
Patch91: nfs-utils-1.0.6-mountd-long-export-lines.patch
Patch92: nfs-utils-1.0.6-etab-holdopen.patch

# U7
Patch93: nfs-utils-1.0.6-mountd-many-netgroups-segfault.patch
Patch94: nfs-utils-1.0.6-mountd-add-names-memleak.patch
Patch95: nfs-utils-1.0.6-statd-callbacks.patch

Patch100: nfs-utils-1.0.6-compile.patch
Patch150: nfs-utils-1.0.6-pie.patch

# Experimental

Group: System Environment/Daemons
Obsoletes: nfs-server
Obsoletes: knfsd
Obsoletes: knfsd-clients
Obsoletes: nfs-server-clients 
Obsoletes: knfsd-lock
Provides: nfs-server 
Provides: nfs-server-clients 
Provides: knfsd-lock 
Provides: knfsd-clients 
Provides: knfsd
License: GPL
Buildroot: %{_tmppath}/%{name}-root
Requires: kernel >= 2.2.14, portmap >= 4.0, shadow-utils >= 2:4.0.3-49.RHEL4
Requires: sed, gawk, sh-utils, fileutils, textutils, grep
Requires: modutils >= 2.4.26-9
Requires: nfs-utils-lib libgssapi
BuildRequires: krb5-devel >= 1.3.1 autoconf >= 2.57 automake
BuildRequires: nfs-utils-lib-devel libgssapi-devel pkgconfig
BuildRequires: krb5-devel libtool krb5-libs
Prereq: /sbin/chkconfig /usr/sbin/useradd /sbin/nologin
PreReq: nfs-utils-lib libgssapi

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

%prep
%setup -q -a1
mv libevent-%{eventvers} support/event

%patch1 -p1
%patch10 -p1

%patch50 -p1 
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1

# Do the magic to get things to compile
%patch100 -p1 
%patch150 -p1

%ifarch s390 s390x
perl -pi -e 's/-fpie/-fPIE/' */*/Makefile
%endif

# Remove .orig files
find . -name "*.orig" | xargs rm -f

%build

autoconf

#
# Hack to enable netgroups.  If anybody knows the right way to do
# this, please help yourself.
#
ac_cv_func_innetgr=yes \
	CFLAGS="$RPM_OPT_FLAGS" %configure --enable-secure-statd

cd support/event; %configure --prefix=$RPM_BUILD_ROOT
cd ../../

make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/sbin}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man5,man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make install install_prefix=$RPM_BUILD_ROOT
install -s -m 755 tools/rpcdebug/rpcdebug $RPM_BUILD_ROOT/sbin
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m 755 %{SOURCE11} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock
install -m 755 %{SOURCE12} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpcidmapd
install -m 755 %{SOURCE13} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpcgssd
install -m 755 %{SOURCE14} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpcsvcgssd

install -m 644 utils/idmapd/idmapd.conf \
	$RPM_BUILD_ROOT/etc/idmapd.conf

mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/rpc_pipefs

touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
mv $RPM_BUILD_ROOT/usr/sbin/{rpc.lockd,rpc.statd} $RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/statd

# we are using quotad from quota utils
rm %{buildroot}/%{_mandir}/man8/rquotad*
rm %{buildroot}/%{_mandir}/man8/rpc.rquotad*
rm %{buildroot}/%{_sbindir}/rpc.rquotad

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -l -c "RPC Service User" -r \
        -s /sbin/nologin -u 29 -d /var/lib/nfs rpcuser 2>/dev/null || :
# Define the correct unsigned uid value for 32 or 64 bit archs
%ifarch %{all_32bit_archs}
%define nfsnobody_uid   65534
%else
%define nfsnobody_uid   4294967294
%endif

# If UID 65534 (or 4294967294 64bit archs) is unassigned, create user "nfsnobody"
cat /etc/passwd | cut -d':' -f 3 | grep --quiet %{nfsnobody_uid} 2>/dev/null
if [ "$?" -eq 1 ]; then
	/usr/sbin/useradd -l -c "Anonymous NFS User" -r \
		-s /sbin/nologin -u %{nfsnobody_uid} -d /var/lib/nfs nfsnobody 2>/dev/null || :
fi

%post
/sbin/chkconfig --add nfs
/sbin/chkconfig --add nfslock
/sbin/chkconfig --add rpcidmapd
/sbin/chkconfig --add rpcgssd
# fix a regression in RHEL4U4 where statd ran as root (BZ 233073)
if [ -f /var/lock/subsys/nfslock ]; then
	/etc/rc.d/init.d/nfslock stop > /dev/null
	chown -R rpcuser:rpcuser /var/lib/nfs/statd
	/etc/rc.d/init.d/nfslock start > /dev/null
else
	chown -R rpcuser:rpcuser /var/lib/nfs/statd
fi

%preun
if [ "$1" = "0" ]; then
    /etc/rc.d/init.d/nfs stop
	/etc/rc.d/init.d/rpcgssd stop
	/etc/rc.d/init.d/rpcidmapd stop
    /etc/rc.d/init.d/nfslock stop
    /sbin/chkconfig --del rpcidmapd
    /sbin/chkconfig --del rpcgssd
    /sbin/chkconfig --del rpcsvcgssd
    /sbin/chkconfig --del nfs
    /sbin/chkconfig --del nfslock
    /usr/sbin/userdel rpcuser 2>/dev/null || :
    /usr/sbin/groupdel rpcuser 2>/dev/null || :
    /usr/sbin/userdel nfsnobody 2>/dev/null || :
fi

%postun
if [ "$1" -ge 1 ]; then
	/etc/rc.d/init.d/rpcidmapd condrestart > /dev/null
	/etc/rc.d/init.d/rpcgssd condrestart > /dev/null
	/etc/rc.d/init.d/nfs condrestart > /dev/null
	/etc/rc.d/init.d/nfslock condrestart > /dev/null
fi

%triggerpostun -- nfs-server
/sbin/chkconfig --add nfs

%triggerpostun -- knfsd
/sbin/chkconfig --add nfs

%triggerpostun -- knfsd-clients
/sbin/chkconfig --add nfslock

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/nfs
%config /etc/rc.d/init.d/rpcidmapd
%config /etc/rc.d/init.d/rpcgssd
%config /etc/rc.d/init.d/rpcsvcgssd
%config(noreplace) /etc/idmapd.conf
%dir %verify(not md5 size mtime) /var/lib/nfs/rpc_pipefs
%dir %verify(not md5 size mtime) /var/lib/nfs
%dir %verify(not md5 size mtime) %attr(700,rpcuser,rpcuser) /var/lib/nfs/statd
%config(noreplace) %verify(not md5 size mtime) /var/lib/nfs/xtab
%config(noreplace) %verify(not md5 size mtime) /var/lib/nfs/etab
%config(noreplace) %verify(not md5 size mtime) /var/lib/nfs/rmtab
%config(noreplace) %verify(not md5 size mtime) /var/lib/nfs/state
/sbin/rpcdebug
/sbin/rpc.lockd
/sbin/rpc.statd
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/nhfs*
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/showmount
/usr/sbin/rpc.idmapd
/usr/sbin/rpc.gssd
/usr/sbin/rpc.svcgssd
%{_mandir}/*/*
%config /etc/rc.d/init.d/nfslock

%changelog
* Tue Jun 10 2008 Steve Dickson <steved@redhat.com> 1.0.6-87.EL4
- Fixed statd callback when -N flag is used (bz 441559)

* Mon Nov 19 2007 Jeff Layton <jlayton@redhat.com> 1.0.6-86.EL4
- only do global sanity checks when starting services (bz 332831)

* Mon Nov  5 2007 Jeff Layton <jlayton@redhat.com> 1.0.6-85.EL4
- prevent mountd segfault when working with many netgroups (bz 250594)
- don't reset lockd ports on nfs.init stop (bz 220798)
- change nfslock.init to use sysctl to set lockd ports (bz 220798)
- fix memory leak in rpc.mountd add_names function (bz 339431)
- tell RPM not to verify some attributes on files in /var/lib/nfs (bz 316961)

* Tue Aug 14 2007 Steve Dickson <steved@redhat.com> 1.0.6-84.EL4
- Removed obsolete doc (bz 236412)

* Tue Aug 14 2007 Steve Dickson <steved@redhat.com> 1.0.6-83.EL4
- Removed README file that was deemed as not needed.

* Thu Aug  2 2007 Steve Dickson <steved@redhat.com> 1.0.6-82.EL4
- Reworked returns values of the init scripts (bz 243705)

* Mon Jul 16 2007 Jeff Layton <jlayton@redhat.com> 1.0.6-81.EL4
- make it so that gssd doesn't require portmapper on server (bz 227602)
- plug two memory leaks in mountd (bz 239783)
- fix bad string handling in mountd with long /etc/exports lines (bz 242465)
- fix race condition between mountd and exportfs (bz 239795)
- add README.FIRST.NFS.RHEL4 file to warn about obsolete html docs (bz 236412)

* Thu Apr  5 2007 Jeff Layton <jlayton@redhat.com> 1.0.6-80.EL4
- make statd default to run as rpcuser (bz 233073)
- fix statd dir perms so that existing installs now run as rpcuser (bz 233073)
- add "nfslock condrestart" to %postun so locks are reclaimed on pkg update (bz 233073)
- add patch to allow turning on librpcsecgss debugging in rpc.gssd (bz 189900)

* Tue Apr  3 2007 Steve Dickson <steved@redhat.com> 1.0.6-79.EL4
- Make sure cred structure is initialized before using (bz 189900)

* Thu Feb 15 2007 Steve Dickson <steved@redhat.com> 1.0.6-78.EL4
- Handle minor numbers greater than 255 (bz 228868)

* Thu Jan 12 2007 Steve Dickson <steved@redhat.com> 1.0.6-77.EL4
- Added NFSv4 support to nfsstat (bz 221527)
- Fixed some memory leaks in rpc.svcgssd (bz 221531)
- Fixed problems on 64-bit archs when referencing the OID (bz 221529)
- Idmapd should flush the nfs4.idtoname cache when server starts (bz 221515)
- Fixed idmapd debugging so it works in daemon mode (bz 221520)
- Improved gssd and svcgssd debugging (bz 221533)
- Added supplementary group support to svcgssd (bz 221518)
- Fixed idmapd's -f flags so messages get logged to stderr (bz 212220)

* Wed Jan  3 2007  Steve Dickson <steved@redhat.com> 1.0.6-76.EL4
- Reorganized and condensed local, upstream and CITI patches
- Added default mapping to rpc.gsssvcd (bz 189900)
- Make rmtab use ip addrs, and add -r flag to mountd (bz 165389)
- Eliminate timeout on shutdowns (bz 218231)

* Thu Oct 26 2006 Jeff Layton <jlayton@redhat.com> 1.0.6-75.EL4
- fix memory leak in dirscancb (bz 157028)
- fix use after free segfault made reproducable by memory leak patch

* Thu Oct 19 2006 Steve Dickson <steved@redhat.com> 1.0.6-74.EL4
- fixed the -o flag in rpc.statd (bz 210283)

* Mon Oct  9 2006 Steve Dickson <steved@redhat.com> 1.0.6-73.EL4
- Corrected a typo in nfs initscript (bz 209612)

* Tue Oct  3 2006 Steve Dickson <steved@redhat.com> 1.0.6-72.EL4
- Stopped binaries and libs from being stripped when they were
  installed in the build root which makes the debuginfo rpm
  much more useful. (bz 209121)

* Wed Aug 16 2006 Steve Dickson <steved@redhat.com> 1.0.6-71.EL4
- fixed nfvs4 server cannot authenticate a client against windows kdc 
  kerberos server (bz 176085)
- Allow variable for HA callout program in /etc/init.d/nfslock
  (bz 201897)

* Sat May 13 2006 Steve Dickson <steved@redhat.com>
- Fixed -p arg to work with priviledged ports (bz 156655)

* Sun Apr 30 2006 Steve Dickson <steved@redhat.com>
- Changed nfslock initscript to set LOCKD_TCPPORT and
  LOCKD_UDPPORT (bz 162133)
- Changed rpc_init() so the nfs service can be 
  started (and restarted) from a remote shell
  (bz 175612)
- Added MOUNTD_NFS_V1 variable to version 1 of the 
  mount protocol can be turned off. (bz 175729)
- Fixed gssd to handel mixed case characters in
  the domainname. (bz 186069)

* Sun Apr 23 2006 Steve Dickson <steved@redhat.com> 1.0.6-67
- Broke out the libnfsidmap, librpcsecgss and libgssapi libraries
  and put them into their own rpms.

* Wed Apr 19 2006 Chris Lalancette <clalance@redhat.com> 1.0.6-67
- Bring idmapd.c closer to upstream 1.0.8 to fix a problem where
  rpc.idmapd needed to be restarted after boot. (BZ 169862)

* Tue Dec  6 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-66
- Fixed and added debugging statements to rpc.mountd.

* Tue Sep  7 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-65
- Reworked the nfslock init script so if lockd is running
  it will be killed which is what the HA community needs.
- Stopped rpcidmapd.init from doing extra echoing when 
  condstart-ed.

* Thu Aug 18 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-64
- The nfslock init script no longer needs to bring lockd
  down. (bz 166072)

* Tue Aug 16 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-63
- Updated the mountd using stat64() patch to use
  the correct stat buffers. (bz 166052)

* Fri Aug  5 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-62
- Added patch that stops a buffer overflow in svcgssd (bz 165082)
- Add ctlbits patch that introduced the -N -T and -U 
  command line flags to rpc.nfsd. (bz 154533)

* Wed Aug  3 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-61
- Added best effort serialization around the
  exporting of filesystems (bz 165063)
- Changed mountd to use stat64() (bz 165062)
- Added re-export fix to exportfs (bz 165061)

* Wed Jul 27 2005 Steve Dickson <SteveD@RedHat.com>
- Changed useradd to use new -l flag (bz 165058) 1.0.6-60

* Wed Jul 13 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-59
- 64bit fix in gssd code (bz 163139)

* Thu Jun 16 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-58
- Removed the chkconfig-ing of rpcsvcgssd since the
  init script will bring the daemon up and down (bz 165066)

* Wed Apr 13 2005 Steve Dickson <SteveD@RedHat.com> 1.0.6-57
- Fixed misformated output from nfslock script (bz 165065)

* Mon Mar 28 2005 Steve Dickson <SteveD@RedHat.com>
- Updated the statd-notify-hostname.patch to eliminate 
  a segmentation fault in rpc.statd when an network 
  interface was down. (bz 151828)

* Wed Mar  2 2005 Steve Dickson <SteveD@RedHat.com>
- Tied the rpcsecgss debugging in with gssd and
  svcgssd debugging
- Removed the hardcode checking of 'nfs/' in
  the incoming principle name

* Mon Feb 14 2005 Steve Dickson <SteveD@RedHat.com>
- Added support to rpcgssd.init and rpcsvcgssd.init scripts
  to insmod security modules.
- Changed the nfs.init script to bring rpc.svcgssd up and down,
  since rpc.svcgssd is only needed with the NFS server is running.
- Fix problem in idmapd that was causing "xdr error 10008"
  errors (bz 165064)

* Tue Nov 30 2004 Steve Dickson <SteveD@RedHat.com>
- Changed nfslock to send lockd a -KILL signal
  when coming down. (bz 125257)

* Mon Nov 29 2004 Steve Dickson <SteveD@RedHat.com>
- make sure the correct hostname is used in the SM_NOTIFY 
  message that is sent from a rebooted server which has 
  multiple network interfaces. (bz 139101)

* Mon Nov  8 2004 Steve Dickson <SteveD@RedHat.com>
- Replaced a memcopy with explicit assignments
  in getquotainfo() of rquotad to fix potential overflow
  that can occur on 64bit machines. (bz 138068)

- Updated to latest sourceforge code
- Updated to latest CITIT nfs4 patches

* Sun Oct 17 2004 Steve Dickson <SteveD@RedHat.com>
- Changed nfs.init to bring down rquotad correctly
  (bz# 136041)

* Thu Oct 14 2004 Steve Dickson <SteveD@RedHat.com>
- Added "$RQUOTAD_PORT" variable to nfs.init which
  allows the rpc.rquotad to use a predefined port
  (bz# 124676)

* Fri Oct  1 2004 <SteveD@RedHat.com
- Incorporate some clean up code from Ulrich Drepper (bz# 134025)
- Fixed the chkconfig number in the rpcgssd, rpcidmapd, and 
  rpcsvcgssd initscrpts (bz# 132284)

* Fri Sep 24 2004 <SteveD@RedHat.com>
- Make sure the uid/gid of nfsnobody is the
  correct value for all archs (bz# 123900)
- Fixed some security issues found by SGI (bz# 133556)

* Mon Aug 30 2004 Steve Dickson <SteveD@RedHat.com>
- Major clean up. 
- Removed all unused/old patches
- Rename and condensed a number of patches
- Updated to CITI's nfs-utils-1.0.6-13 patches

* Tue Aug 10 2004 Bill Nottingham <notting@redhat.com>
- move if..fi condrestart stanza to %%postun (#127914, #128601)

* Wed Jun 16 2004 <SteveD@RedHat.com>
- nfslock stop is now done on package removals
- Eliminate 3 syslog messages that are logged for
  successful events.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 14 2004 <SteveD@RedHat.com>
- Fixed syntax error in nfs initscripts when
  NETWORKING is not defined
- Removed sync warning on readonly exports.
- Changed run levels in rpc initscripts.
- Replaced modinfo with lsmod when checking
  for loaded modules.

* Tue Jun  1 2004 <SteveD@RedHat.com>
- Changed the rpcgssd init script to ensure the 
  rpcsec_gss_krb5 module is loaded

* Tue May 18 2004 <SteveD@RedHat.com>
- Removed the auto option from MOUNTD_NFS_V2 and
  MOUNTD_NFS_V3 variables. Since v2 and v3 are on
  by default, there only needs to be away of 
  turning them off.

* Thu May 10 2004 <SteveD@RedHat.com>
- Rebuilt

* Thu Apr 15 2004 <SteveD@RedHat.com>
- Changed the permission on idmapd.conf to 644
- Added mydaemon code to svcgssd
- Updated the add_gssd.patch from upstream

* Wed Apr 14 2004 <SteveD@RedHat.com>
- Created a pipe between the parent and child so 
  the parent process can report the correct exit
  status to the init scripts
- Added SIGHUP processing to rpc.idmapd and the 
  rpcidmapd init script.

* Mon Mar 22 2004 <SteveD@RedHat.com>
- Make sure check_new_cache() is looking in the right place 

* Wed Mar 17 2004 <SteveD@RedHat.com>
- Changed the v4 initscripts to use $prog for the
  arugment to daemon

* Tue Mar 16 2004 <SteveD@RedHat.com>
- Made the nfs4 daemons initscripts work better when 
  sunrpc is not a module
- added more checks to see if modules are being used.

* Mon Mar 15 2004 <SteveD@RedHat.com>
- Add patch that sets up gssapi_mech.conf correctly

* Fri Mar 12 2004 <SteveD@RedHat.com>
- Added the shutting down of the rpc v4 daemons.
- Updated the Red Hat only patch with some init script changes.

* Thu Mar 11 2004 Bill Nottingham <notting@redhat.com>
- rpc_pipefs mounting and aliases are now in modutils; require that

* Thu Mar 11 2004 <SteveD@RedHat.com>
- Updated the gssd patch.

* Sun Mar  7 2004 <SteveD@RedHat.com>
- Added the addition and deletion of rpc_pipefs to /etc/fstab
- Added the addition and deletion of module aliases to /etc/modules.conf

* Mon Mar  1 2004 <SteveD@RedHat.com>
- Removed gssd tarball and old nfsv4 patch.
- Added new nfsv4 patches that include both the
   gssd and idmapd daemons
- Added redhat-only v4 patch that reduces the
   static librpc.a to only contain gss rpc related
   routines (I would rather have gssd use the glibc 
   rpc routines)
-Changed the gssd svcgssd init scripts to only
   start up if SECURE_NFS is set to 'yes' in
   /etc/sysconfig/nfs

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Thomas Woerner <twoerner@redhat.com>
- make rpc.lockd, rpc.statd, rpc.mountd and rpc.nfsd pie

* Wed Jan 28 2004 Steve Dickson <SteveD@RedHat.com>
- Added the NFSv4 bits

* Mon Dec 29 2003 Steve Dickson <SteveD@RedHat.com>
- Added the -z flag to nfsstat

* Wed Dec 24 2003  Steve Dickson <SteveD@RedHat.com>
- Fixed lockd port setting in nfs.int script

* Wed Oct 22 2003 Steve Dickson <SteveD@RedHat.com>
- Upgrated to 1.0.6
- Commented out the acl path for fedora

* Thu Aug  27 2003 Steve Dickson <SteveD@RedHat.com>
- Added the setting of lockd ports via sysclt interface
- Removed queue setting code since its no longer needed

* Thu Aug  7 2003 Steve Dickson <SteveD@RedHat.com>
- Added back the acl patch Taroon b2

* Wed Jul 23 2003 Steve Dickson <SteveD@RedHat.com>
- Commented out the acl patch (for now)

* Wed Jul 21 2003 Steve Dickson <SteveD@RedHat.com>
- Upgrated to 1.0.5

* Wed Jun 18 2003 Steve Dickson <SteveD@RedHat.com>
- Added security update
- Fixed the drop-privs.patch which means the chroot
patch could be removed.

* Mon Jun  9 2003 Steve Dickson <SteveD@RedHat.com>
- Defined the differ kinds of debugging avaliable for mountd in
the mountd man page. 

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Steve Dickson <SteveD@RedHat.com>
- Upgraded to 1.0.3 
- Fixed numerous bugs in init scrips
- Added nfsstat overflow patch

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 1.0.1-2.9
- rebuild

* Fri Dec 13 2002 Daniel J Walsh <dwalsh@redhat.com>
- change init script to not start rpc.lock if already running

* Wed Dec 11 2002 Daniel J Walsh <dwalsh@redhat.com>
- Moved access code to be after dropping privs

* Mon Nov 18 2002 Stephen C. Tweedie <sct@redhat.com>
- Build with %configure
- Add nhfsgraph, nhfsnums and nhfsrun to the files list

* Mon Nov 11 2002 Stephen C. Tweedie <sct@redhat.com>
- Don't drop privs until we've bound the notification socket

* Thu Nov  7 2002 Stephen C. Tweedie <sct@redhat.com>
- Ignore SIGPIPE in rpc.mountd

* Thu Aug  1 2002 Bob Matthews <bmatthews@redhat.com>
- Add Sean O'Connell's <sean@ee.duke.edu> nfs control tweaks
- to nfs init script.

* Mon Jul 22 2002 Bob Matthews <bmatthews@redhat.com>
- Move to nfs-utils-1.0.1

* Mon Feb 18 2002 Bob Matthews <bmatthews@redhat.com>
- "service nfs restart" should start services even if currently 
-   not running (#59469)
- bump version to 0.3.3-4

* Wed Oct  3 2001 Bob Matthews <bmatthews@redhat.com>
- Move to nfs-utils-0.3.3
- Make nfsnobody a system account (#54221)

* Tue Aug 21 2001 Bob Matthews <bmatthews@redhat.com>
- if UID 65534 is unassigned, add user nfsnobody (#22685)

* Mon Aug 20 2001 Bob Matthews <bmatthews@redhat.com>
- fix typo in nfs init script which prevented MOUNTD_PORT from working (#52113)

* Tue Aug  7 2001 Bob Matthews <bmatthews@redhat.com>
- nfs init script shouldn't fail if /etc/exports doesn't exist (#46432)

* Fri Jul 13 2001 Bob Matthews <bmatthews@redhat.com>
- Make %pre useradd consistent with other Red Hat packages.

* Tue Jul 03 2001 Michael K. Johnson <johnsonm@redhat.com>
- Added sh-utils dependency for uname -r in nfs init script

* Tue Jun 12 2001 Bob Matthews <bmatthews@redhat.com>
- make non RH kernel release strings scan correctly in 
-   nfslock init script (#44186)

* Mon Jun 11 2001 Bob Matthews <bmatthews@redhat.com>
- don't install any rquota pages in _mandir: (#39707, #44119)
- don't try to manipulate rpc.rquotad in init scripts 
-   unless said program actually exists: (#43340)

* Tue Apr 10 2001 Preston Brown <pbrown@redhat.com>
- don't translate initscripts for 6.x

* Tue Apr 10 2001 Michael K. Johnson <johnsonm@redhat.com>
- do not start lockd on kernel 2.2.18 or higher (done automatically)

* Fri Mar 30 2001 Preston Brown <pbrown@redhat.com>
- don't use rquotad from here now; quota package contains a version that 
  works with 2.4 (#33738)

* Tue Mar 12 2001 Bob Matthews <bmatthews@redhat.com>
- Statd logs at LOG_DAEMON rather than LOG_LOCAL5
- s/nfs/\$0/ where appropriate in init scripts

* Tue Mar  6 2001 Jeff Johnson <jbj@redhat.com>
- Move to nfs-utils-0.3.1

* Wed Feb 14 2001 Bob Matthews <bmatthews@redhat.com>
- #include <time.h> patch

* Mon Feb 12 2001 Bob Matthews <bmatthews@redhat.com>
- Really enable netgroups

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- i18nize initscripts

* Fri Jan 19 2001 Bob Matthews <bmatthews@redhat.com>
- Increased {s,r}blen in rpcmisc.c:makesock to accommodate eepro100

* Tue Jan 16 2001 Bob Matthews <bmatthews@redhat.com>
- Hackish fix in build section to enable netgroups

* Wed Jan  3 2001 Bob Matthews <bmatthews@redhat.com>
- Fix incorrect file specifications in statd manpage.
- Require gawk 'cause it's used in nfslock init script.

* Thu Dec 13 2000 Bob Matthews <bmatthews@redhat.com>
- Require sed because it's used in nfs init script

* Tue Dec 12 2000 Bob Matthews <bmatthews@redhat.com>
- Don't do a chroot(2) after dropping privs, in statd.

* Mon Dec 11 2000 Bob Matthews <bmatthews@redhat.com>
- NFSv3 if kernel >= 2.2.18, detected in init script

* Thu Nov 23 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 0.2.1

* Tue Nov 14 2000 Bill Nottingham <notting@redhat.com>
- don't start lockd on 2.4 kernels; it's unnecessary

* Tue Sep  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- more portable fix for mandir

* Sun Sep  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to 0.2-release

* Fri Sep  1 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix reload script

* Thu Aug 31 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to 0.2 from CVS
- adjust statd-drop-privs patch
- disable tcp_wrapper support

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- fix stop priority of nfslock

* Tue Aug  1 2000 Bill Nottingham <notting@redhat.com>
- um, actually *include and apply* the statd-drop-privs patch

* Mon Jul 24 2000 Bill Nottingham <notting@redhat.com>
- fix init script ordering (#14502)

* Sat Jul 22 2000 Bill Nottingham <notting@redhat.com>
- run statd chrooted and as non-root
- add prereqs

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use "License", not "Copyright"
- use %%{_tmppath} and %%{_mandir}

* Mon Jul 17 2000 Matt Wilson <msw@redhat.com>
- built for next release

* Mon Jul 17 2000 Matt Wilson <msw@redhat.com>
- 0.1.9.1
- remove patch0, has been integrated upstream

* Wed Feb  9 2000 Bill Nottingham <notting@redhat.com>
- the wonderful thing about triggers, is triggers are wonderful things...

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- switch to nfs-utils as the base tree
- fix the statfs patch for the new code base
- single package that obsoletes everything we had before (if I am to keep
  some traces of my sanity with me...)

* Mon Jan 17 2000 Preston Brown <pbrown@redhat.com>
- use statfs syscall instead of stat to determinal optimal blksize
